Bug 20088 - Use of uninitialized value in array element in svc/holds
Summary: Use of uninitialized value in array element in svc/holds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-25 11:04 UTC by Marcel de Rooy
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20088: Fix uninitialized warning from svc/holds (1.20 KB, patch)
2018-01-25 11:16 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 20088: Fix uninitialized warning from svc/holds (1.21 KB, patch)
2018-01-26 01:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20088: Fix uninitialized warning from svc/holds (1.27 KB, patch)
2018-01-26 18:42 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-01-25 11:04:01 UTC
Resolve:
Use of uninitialized value in array element at svc/holds line 56.
Comment 1 Marcel de Rooy 2018-01-25 11:16:57 UTC
Created attachment 70912 [details] [review]
Bug 20088: Fix uninitialized warning from svc/holds

Use of uninitialized value in array element at svc/holds line 56.

Test plan:
Check if the warn is no longer in the logs; the warning is triggered by
an ajax call from the circulation template in staff.
Comment 2 M. Tompsett 2018-01-26 01:09:09 UTC
Created attachment 70922 [details] [review]
Bug 20088: Fix uninitialized warning from svc/holds

Use of uninitialized value in array element at svc/holds line 56.

Test plan:
Check if the warn is no longer in the logs; the warning is triggered by
an ajax call from the circulation template in staff.
-- that's the patron details page when the patron has a hold.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Nick Clemens 2018-01-26 18:42:15 UTC
Created attachment 70972 [details] [review]
Bug 20088: Fix uninitialized warning from svc/holds

Use of uninitialized value in array element at svc/holds line 56.

Test plan:
Check if the warn is no longer in the logs; the warning is triggered by
an ajax call from the circulation template in staff.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-01-30 17:26:40 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-12 20:56:01 UTC
Awesome work all!

This patch has been pushed to 17.11.x and will be in 17.11.03